//
// Winternetizer Web 2.snow
//
// Also in this file: jQuery CSS transform patch and jQuery CSS rotate/scale animation patch
//
// Zachary Johnson
// http://www.zachstronaut.com/
// December 2009
// Browser support update in December 2010, October 2012
//

(function($){function getTransformProperty(element){var properties=["transform","WebkitTransform","msTransform","MozTransform","OTransform"];var p;while(p=properties.shift()){if(typeof element.style[p]!="undefined"){return p;}}return"transform";}var _propsObj=null;var proxied=$.fn.css;$.fn.css=function(arg,val){if(_propsObj===null){if(typeof $.cssProps!="undefined"){_propsObj=$.cssProps;}else{if(typeof $.props!="undefined"){_propsObj=$.props;}else{_propsObj={};}}}if(typeof _propsObj["transform"]=="undefined"&&(arg=="transform"||(typeof arg=="object"&&typeof arg["transform"]!="undefined"))){_propsObj["transform"]=getTransformProperty(this.get(0));}if(_propsObj["transform"]!="transform"){if(arg=="transform"){arg=_propsObj["transform"];if(typeof val=="undefined"&&jQuery.style){return jQuery.style(this.get(0),arg);}}else{if(typeof arg=="object"&&typeof arg["transform"]!="undefined"){arg[_propsObj["transform"]]=arg["transform"];delete arg["transform"];}}}return proxied.apply(this,arguments);};})(jQuery);
/*!
/**
 * Monkey patch jQuery 1.3.1+ to add support for setting or animating CSS
 * scale and rotation independently.
 * https://github.com/zachstronaut/jquery-animate-css-rotate-scale
 * Released under dual MIT/GPL license just like jQuery.
 * 2009-2012 Zachary Johnson www.zachstronaut.com
 */
(function($){function initData($el){var _ARS_data=$el.data("_ARS_data");if(!_ARS_data){_ARS_data={rotateUnits:"deg",scale:1,rotate:0};$el.data("_ARS_data",_ARS_data);}return _ARS_data;}function setTransform($el,data){$el.css("transform","rotate("+data.rotate+data.rotateUnits+") scale("+data.scale+","+data.scale+")");}$.fn.rotate=function(val){var $self=$(this),m,data=initData($self);if(typeof val=="undefined"){return data.rotate+data.rotateUnits;}m=val.toString().match(/^(-?\d+(\.\d+)?)(.+)?$/);if(m){if(m[3]){data.rotateUnits=m[3];}data.rotate=m[1];setTransform($self,data);}return this;};$.fn.scale=function(val){var $self=$(this),data=initData($self);if(typeof val=="undefined"){return data.scale;}data.scale=val;setTransform($self,data);return this;};var curProxied=$.fx.prototype.cur;$.fx.prototype.cur=function(){if(this.prop=="rotate"){return parseFloat($(this.elem).rotate());}else{if(this.prop=="scale"){return parseFloat($(this.elem).scale());}}return curProxied.apply(this,arguments);};$.fx.step.rotate=function(fx){var data=initData($(fx.elem));$(fx.elem).rotate(fx.now+data.rotateUnits);};$.fx.step.scale=function(fx){$(fx.elem).scale(fx.now);};var animateProxied=$.fn.animate;$.fn.animate=function(prop){if(typeof prop["rotate"]!="undefined"){var $self,data,m=prop["rotate"].toString().match(/^(([+-]=)?(-?\d+(\.\d+)?))(.+)?$/);if(m&&m[5]){$self=$(this);data=initData($self);data.rotateUnits=m[5];}prop["rotate"]=m[1];}return animateProxied.apply(this,arguments);};})(jQuery);(function($){var ww=0;var wh=0;var maxw=0;var minw=0;var maxh=0;var textShadowSupport=true;var xv=0;var snowflakes=["\u2744","\u2745","\u2746"];var prevTime;var absMax=200;var flakeCount=0;$(init);function init(){var detectSize=function(){ww=$(window).width();wh=$(window).height();maxw=ww+300;minw=-300;maxh=wh+300;};detectSize();$(window).resize(detectSize);if(!$("body").css("textShadow")){textShadowSupport=false;}if(/windows/i.test(navigator.userAgent)){snowflakes=["*"];}var i=50;while(i--){addFlake(true);}prevTime=new Date().getTime();setInterval(move,50);}function addFlake(initial){flakeCount++;var sizes=[{r:1,css:{fontSize:15+Math.floor(Math.random()*20)+"px",textShadow:"9999px 0 0 rgba(238, 238, 238, 0.5)"},v:2},{r:0.6,css:{fontSize:50+Math.floor(Math.random()*20)+"px",textShadow:"9999px 0 2px #eee"},v:6},{r:0.2,css:{fontSize:90+Math.floor(Math.random()*30)+"px",textShadow:"9999px 0 6px #eee"},v:12},{r:0.1,css:{fontSize:150+Math.floor(Math.random()*50)+"px",textShadow:"9999px 0 24px #eee"},v:20}];var $nowflake=$('<span class="winternetz">'+snowflakes[Math.floor(Math.random()*snowflakes.length)]+"</span>").css({color:"#eee",display:"block",position:"fixed",background:"transparent",width:"auto",height:"auto",margin:"0",padding:"0",textAlign:"left",zIndex:9999});if(textShadowSupport){$nowflake.css("textIndent","-9999px");}var r=Math.random();var i=sizes.length;var v=0;while(i--){if(r<sizes[i].r){v=sizes[i].v;$nowflake.css(sizes[i].css);break;}}var x=(-300+Math.floor(Math.random()*(ww+300)));var y=0;if(typeof initial=="undefined"||!initial){y=-300;}else{y=(-300+Math.floor(Math.random()*(wh+300)));}$nowflake.css({left:x+"px",top:y+"px"});$nowflake.data("x",x);$nowflake.data("y",y);$nowflake.data("v",v);$nowflake.data("half_v",Math.round(v*0.5));$("body").append($nowflake);}function move(){if(Math.random()>0.8){xv+=-1+Math.random()*2;if(Math.abs(xv)>3){xv=3*(xv/Math.abs(xv));}}var newTime=new Date().getTime();var diffTime=newTime-prevTime;prevTime=newTime;if(diffTime<55&&flakeCount<absMax){addFlake();}else{if(diffTime>150){$("span.winternetz:first").remove();flakeCount--;}}$("span.winternetz").each(function(){var x=$(this).data("x");var y=$(this).data("y");var v=$(this).data("v");var half_v=$(this).data("half_v");y+=v;x+=Math.round(xv*v);x+=-half_v+Math.round(Math.random()*v);if(x>maxw){x=-300;}else{if(x<minw){x=ww;}}if(y>maxh){$(this).remove();flakeCount--;addFlake();}else{$(this).data("x",x);$(this).data("y",y);$(this).css({left:x+"px",top:y+"px"});if(v>=6){$(this).animate({rotate:"+="+half_v+"deg"},0);}}});}})(jQuery);